Inheritance security rules violated by type: 'LinqToTwitter.Json.SearchConverter'

Feb 16, 2012 at 7:48 AM

I ran into the following issue when using the project with .net 4 so I thought I would leave this here as it might help others.

The following exception is thrown:

Inheritance security rules violated by type: 'LinqToTwitter.Json.SearchConverter'. Derived types must either match the security accessibility of the base type or be less accessible.

To resolve, build the linq to twitter project to .NET version 4 instead of .NET version 3.5 . I believe this issue is because of the security changes between these two, more information can be found here with an alternate fix that  didn't manage to get working.

If anyone else has any more information on this or if changing the build to version 4.0 is bad I would be interested to here why.

Coordinator
Feb 16, 2012 at 2:33 PM

Hi,

Changing the build to version 4.0 is a supported scenario.  I'll make this a work item.

Thanks,

Joe

Coordinator
Feb 16, 2012 at 2:34 PM
This discussion has been copied to a work item. Click here to go to the work item and continue the discussion.